<?php
/**
 * @file
 * Settings for Pushover.
 */

/**
 * The settings form.
 */
function pushover_config() {
  $form = array();

  $form['pushover_api_key'] = array(
    '#type' => 'textfield',
    '#title' => t('Pushover API key'),
    '#description' => t("Register your API key at !url.", array('!url' => l(t('Pushover.net'), "https://pushover.net/apps/build"))),
    '#default_value' => variable_get('pushover_api_key', ''),
    '#required' => TRUE,
  );
  $form['pushover_test_user'] = array(
    '#type' => 'textfield',
    '#title' => t('Pushover User Key'),
    '#description' => t("Enter a user key to send a test notification. Get your user key at !url.", array('!url' => l(t('Pushover.net'), "https://pushover.net"))),
    '#default_value' => variable_get('pushover_test_user', ''),
  );
  $form['pushover_test_link'] = array(
    '#type' => 'button',
    '#value' => t('Send test notification'),
    '#validate' => array('pushover_test_notification'),
  );
  return system_settings_form($form);
}
